# Vue Form
Vue Form 是一套基于 JSON Schema 使用 Vue.js 自动生成表单的库。

## 特性
* 使用 JSON Schema 校验表单（基于[ajv](https://www.npmjs.com/package/ajv)）
* 使用 Form Definition 简化表单类型、属性、顺序定义
* 实现了常见的表单元素
* 支持数组动态增减、上下拖拽移动
* 支持编辑器(Tinymce)、datePicker、select、image-upload 等
* 支持扩展自定义组件、校验

## [文档](https://okbeng03.github.io/vue-form-doc)

## 起步
> 假设你已了解和熟悉Vue开发

1. 想了解 Vue Form 能实现哪些功能，最简单的方法就是看 [Demo](https://okbeng03.github.io/vue-form-doc/docs/demo.html)，Demo代码可在Git仓库[查看](https://github.com/okbeng03/vue-form-doc/tree/master/examples)
2. 通过简单例子[快速上手](https://okbeng03.github.io/vue-form-doc/docs/start.html)，感受它带来的便利

## 依赖
* [Vue.js](https://cn.vuejs.org/)
* [Vuex](https://vuex.vuejs.org/zh/)
* [lodash](https://lodash.com/)
* [bootstrap](http://www.bootcss.com/) *目前只提供boostrap一套UI*
